Bug 1015896 - Documentation error in FreeIPA guide "Setting up a Kerberized NFS Server"
Documentation error in FreeIPA guide "Setting up a Kerberized NFS Server"
Status: CLOSED WONTFIX
Product: Fedora Documentation
Classification: Fedora
Component: freeipa-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Kosek
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-06 11:27 EDT by Bryan Schneiders
Modified: 2014-10-15 06:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-15 06:55:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Schneiders 2013-10-06 11:27:35 EDT
Description of problem:

A command example is missing from the text of the guide.  This example still exists in the coresponding RHEL documentation.

Version-Release number of selected component (if applicable):

http://docs.fedoraproject.org/en-US/Fedora/18/html/FreeIPA_Guide/kerb-nfs.html

Actual results:

If ipa-getkeytab command is run on the NFS server, then save the keys directly to the host keytab. For example:
For a Fedora machine, that's all you need to do. 


Expected results:

If ipa-getkeytab command is run on the NFS server, then save the keys directly to the host keytab. For example:
[jsmith@server ~]$ ipa-getkeytab -s server.example.com -p nfs/nfs-server.example.com -k /etc/krb5.keytab
For a Fedora machine, that's all you need to do. 


Additional info:

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html-single/Identity_Management_Guide
Comment 1 Bryan Schneiders 2013-10-06 11:38:13 EDT
This is missing from the Client section on the same page as well:

If ipa-getkeytab command is run on the NFS client, then save the keys directly to the host keytab. For example:

[jsmith@server ~]$ ipa-getkeytab -k /etc/krb5.keytab -p host/nfs-client-server.example.com@EXAMPLE.COM

For a Red Hat Enterprise Linux machine, that's all you need to do.
Comment 2 Deon Ballard 2013-10-23 17:42:46 EDT
Reassigning to Martin.
Comment 3 Martin Kosek 2013-10-24 09:31:31 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3997
Comment 4 Martin Kosek 2013-11-13 06:25:15 EST
Fixed upstream: 746bb1aa34a81434e134a76ac31ef1f39cc081ff
Comment 5 Martin Kosek 2014-10-15 06:55:08 EDT
FreeIPA upstream project no longer actively maintains an upstream guide (details in www.freeipa.org/page/Upstream_User_Guide). The only actively maintained user information is therefore upstream community wiki (FreeIPA.org) and RHEL downstream user guides (http://www.freeipa.org/page/Documentation#User_Guides).

Please file upstream tickets or RHEL documentation Bugzillas to request additional fixes or enhancements in these guides. Thank you and sorry for any inconvenience.

Note You need to log in before you can comment on or make changes to this bug.